# Changelog

Notable changes between releases of the Glottolog data.


## [UNRELEASED]


## [4.0] - 2019-06-28

- Languoid INI files may now contain a section [links], providing links
  to related resources on the web, e.g. the corresponding page at ElCat.
- To improve the documentation of the data, we have included machine-readable
  metadata in the `config` directory, providing controlled vocabularies - e.g.
  for AES status - stored in INI files.
- Glottolog data releases are now supplemented by a CLDF dataset
  (see https://github.com/glottolog/glottolog-cldf)
  for better accessibility - in particular of the languoid data, which is 
  organized as CLDF parameters, e.g. coding AES and MED for languages.


## [3.4] - 2019-04-02

See https://github.com/clld/glottolog/pulls?q=is%3Apr+is%3Amerged for a list of
accepted changes.


## [3.3.2] - 2018-08-22

- fixed Tangkhulic misspecification
- fixed classification of North Paman


## [3.3.1] - 2018-08-06

- fixed issue https://github.com/clld/glottolog/issues/240 whereby English was
  listed as nearly extinct language.
- fixed issue https://github.com/clld/glottolog/issues/239 whereby languoid index
  files were not in sync with the classification tree.


## [3.3] - 2018-07-25

See https://github.com/clld/glottolog/pulls?q=is%3Apr+is%3Amerged for a list of
accepted changes.


## [3.2] - 2018-01-25

See https://github.com/clld/glottolog/pulls?q=is%3Apr+is%3Amerged for a list of
accepted changes.


## [3.1] - 2017-11-22

### References

Two new bibliographies have been contributed:
- The bibliography of the [autotyp database](https://github.com/autotyp/autotyp-data)
- Marc Tang's collection of references relating to nominal classification


### Classification

Many changes small and not-so-small. For details refer to the individual
[pull requests](https://github.com/clld/glottolog/pulls?q=is%3Apr+is%3Aclosed)


### Other

[Aggregated/merged data on language endangerment](https://github.com/clld/glottolog/pulls?q=is%3Apr+is%3Aclosed) 
has been added in `[endangerment]` sections of languoid's info files.
See [SOURCES.md](SOURCES.md) for details about the sources.


## [3.0] - 2017-03-29

### References

Bibliographical records for all linguistic books and journal articles
published by John Benjamins Publishing Company have been added.


